solarOSsolarOS Docs

List Leads

Lists Leads for the authenticated organization with cursor pagination, endpoint-declared filters and sorting, exact custom Field filters using customFields.<savedIdentity>, hydrated customFields, and External References. Supply externalSystem, externalObject, and externalId together to filter by a canonical External Reference. Required scope: leads:read.

GET
/leads

Lists Leads for the authenticated organization with cursor pagination, endpoint-declared filters and sorting, exact custom Field filters using customFields., hydrated customFields, and External References. Supply externalSystem, externalObject, and externalId together to filter by a canonical External Reference. Required scope: leads:read.

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Query Parameters

limit?integer

Maximum number of Leads to return. Values above 100 are capped at 100.

Rangevalue <= 100
cursor?string

Opaque pagination cursor from the previous response meta.nextCursor value.

status?string

Filter the list to Leads with a specific lifecycle status.

Value in

  • "NEW"
  • "CONTACTED"
  • "QUALIFIED"
  • "UNQUALIFIED"
  • "CONVERTED"
sourceId?string

Filter Leads by Lead Source id.

campaignId?string

Filter Leads by Campaign id.

salesTypeId?string

Filter Leads by one assigned Sales Type id.

ownerId?string

Filter Leads by owner Team Member id.

sortBy?string

Lead field used for ordering the list response.

Value in

  • "createdAt"
  • "updatedAt"
  • "status"
sortDir?string

Sort direction for the selected sortBy field.

Value in

  • "asc"
  • "desc"
externalSystem?string

External Reference system filter. Supply with externalObject and externalId for exact reconciliation lookup.

externalObject?string

External Reference object filter. Supply with externalSystem and externalId.

externalId?string

External Reference id filter. Supply with externalSystem and externalObject.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/leads"
{  "data": [    {}  ],  "meta": {    "nextCursor": "string",    "hasMore": true,    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}